;CODING STARTS HERE

(prompt "\nCAD Encoding Setup loaded - Type \"ALSETUP\" to run....")

(defun C:ALSETUP ( / userclick dcl_id siz typ x y l size n oldblip
                                    oldecho oldsnap #dwgsc)

     ;save system settings
     (setq oldblip (getvar "BLIPMODE")
             oldecho (getvar "CMDECHO")
             oldsnap (getvar "OSMODE")
     );setq

     ;set system variables
     (setvar "BLIPMODE" 0)
     (setvar "CMDECHO" 0)
     (setvar "OSMODE" 0)

     ;load the dialog
     (setq dcl_id (load_dialog "alsetup.dcl"))
     (if (not (new_dialog "alsetup" dcl_id))
           (exit)
     );if

     ;define default settings
     (set_tile "rb1" "1")
     (set_tile "rb6" "1")
     (set_tile "eb1" "1")
     (mtile)
     (setq siz "A0")
     (setq typ "e")


     ;define radio buttons action statements
     (action_tile "rb1"	
         "(setq typ \"e\")
          (mtile)")
     (action_tile "rb2"	
         "(setq typ \"a\")
          (mtile)")
     (action_tile "rb4"	
         "(setq typ \"el\")
          (mtile)")
     (action_tile "rb5"	
         "(setq typ \"b\")
          (mtile)")

     (action_tile "rb6"	
         "(setq siz \"A0\")
          (mtile)")
     (action_tile "rb7"
         "(setq siz \"A1\")
          (mtile)")
     (action_tile "rb8"	
         "(setq siz \"A2\")
          (mtile)")
     (action_tile "rb9"	
         "(setq siz \"A3\")
          (mtile)")
     (action_tile "rb10"
         "(setq siz \"A4\")
          (mtile)")

     ;define Cancel action statements
     (action_tile "cancel"
         "(done_dialog)(setq userclick nil)")

     ;define OK action statements
     (action_tile "accept"
       (strcat
      "(progn (setq #dwgsc
              (atof (get_tile \"eb1\")))"
            "(done_dialog) (setq userclick T))"
       );progn
     )

     ;display the dialog
     (start_dialog)

     ;unload the dialog
     (unload_dialog dcl_id)

;check the flag setting
(if userclick

    ;if it's set, do the following
    (progn

    ;set up the sheet size
    (cond

      ((= siz "A0") (setq x 1189.0 y 841.0))
      ((= siz "A1") (setq x 841.0 y 594.0))
      ((= siz "A2") (setq x 594.0 y 420.0))
      ((= siz "A3") (setq x 420.0 y 297.0))
      ((= siz "A4") (setq x 297.0 y 210.0))

    );cond
         
    ;Construct drawing sheet name
     (setq size (strcat typ siz))

      ;set system variables according to scale
      (setvar "DIMSCALE" #dwgsc)
      (setvar "USERR1" #dwgsc)
      (setvar "LTSCALE" (* #dwgsc 10))
      (setvar "REGENMODE" 1)
      (setvar "TILEMODE" 1)
      (setq n (* 3.5 #dwgsc))

      ;define the limits list
      (setq L (list (* x #dwgsc) (* y #dwgsc)))

      ;set up the drawing
      (command "LIMITS" "0,0" L 
                       "ZOOM" "W" "0,0" L
	       "STYLE" "italict" "italict" N "" "" "" "" ""
                       "INSERT" size "0,0" #dwgsc "" "" )

        ;inform the user
        (prompt "\n ")
        (prompt "\nOkay - Setup Routine Complete")
     
    );progn

  );if

  ;reset system variables
  (setvar "BLIPMODE" oldblip)
  (setvar "CMDECHO" oldecho)
  (setvar "OSMODE" oldsnap)

 ;finish clean
 (princ)

);defun
;;;---------------------------------------------------------------------------

;function to set the focus to
;the scale edit box
(defun mtile ()

(mode_tile "eb1" 2)

);defun
;;;----------------------------------------------------------------------------

;load clean
(princ)

;CODING ENDS HERE
